Orbi WiFi 7 RBE973

For R8000 router, what version of Firmware is required to resolve issue VU#582384?

yukonuck
Aspirant

For R8000 router, what version of Firmware is required to resolve issue VU#582384?

I received a notice 2016/12/16 from Netgear to update the Firmware on my router to address the VU#582384 command line vulnerability, but the info and links in that email refer to what appears to be an older version of firmware than what is already on my router.  The links and downloads will provide version: 1.0.3.26 and state it is released to address this issue, but my router is running 1.0.3.40 which appears NEWER.  My question is, are we supposed to revert to an earlier version of firmware to secure the router, or is the link provided today directing users to the wrong firmware version?  Reverting backwards re-introduces Win 10 and Edge IE11 issues.

Model: R8000|Nighthawk X6 AC3200 Smart WIFI Router
Message 1 of 5

Accepted Solutions
Eluder
Star

Re: For R8000 router, what version of Firmware is required to resolve issue VU#582384?

The new firmware is v1.0.3.26, while the old one is 1.0.3.4, not .40, so the fixed firmware is infact newer.

I updated my router a little earlier today using the auto update feature and had no issues with the upgrade so far.

View solution in original post

Message 4 of 5

All Replies
Retired_Member
Not applicable

Re: For R8000 router, what version of Firmware is required to resolve issue VU#582384?

 beta or pre-releases are out of order I wouldn't worry about it But, this is Netgear so who knows what version the fix was applied to.

 

 

Message 2 of 5
perk82
Aspirant

Re: For R8000 router, what version of Firmware is required to resolve issue VU#582384?

Thank you for asking.  I have the exact same question and do not want to download something that isn't needed.  I use the NetGear Genie and it says my 1.0.3.4 version is the most current/ up to date.  Do I leave it along or 'go back' to this 1.0.3.26  Thank you to anyone who can give us a CONCRETE answer. 

Message 3 of 5
Eluder
Star

Re: For R8000 router, what version of Firmware is required to resolve issue VU#582384?

The new firmware is v1.0.3.26, while the old one is 1.0.3.4, not .40, so the fixed firmware is infact newer.

I updated my router a little earlier today using the auto update feature and had no issues with the upgrade so far.

Message 4 of 5
mdgm-ntgr
NETGEAR Employee Retired

Re: For R8000 router, what version of Firmware is required to resolve issue VU#582384?

1.0.3.26 is the latest firmware.

Please continue the discussion here: https://community.netgear.com/t5/Nighthawk-WiFi-Routers/Two-leading-Netgear-routers-are-vulnerable-t...

Message 5 of 5
Top Contributors
Discussion stats
  • 4 replies
  • 2512 views
  • 0 kudos
  • 5 in conversation
Announcements

Orbi 770 Series